<?php

require_once ACMS_LIB_DIR.'GET.php';

class ACMS_GET_Csv_Sample extends ACMS_GET
{
	function get()
	{
	
		// IDを設定
		$id = $this->Get->get('id');
		$print = 0;
		
		// CSVデータの読み込み	

		$file = config('smple_csv');
		
		if (is_file($file)) {
			$csvFile = file_get_contents($file);
			$csvRow = split("\n", $csvFile);
		} else {
			$csvRow = array();
		}
		
		$Tpl = new Template($this->tpl, new ACMS_Corrector());
		
		foreach ( $csvRow as $ID => $dataRow ) {
			
			$data = split(",", $dataRow);
			
			if (!isset($title)) {
				// 1行目の項目名を設定
				$titleArray = $data;
				foreach($titleArray as $titleRow) {
					$title[] = trim($titleRow);
				}
			
			} else {
				
				// データを連想配列に設定
				foreach ($data as $ID => $dataRow) {
					$row[$title[$ID]] = $dataRow;
				}
				
				// 一覧表示 か 詳細表示かの判定
				if (isset($id)) {
				
					// 詳細表示用のデータかを判定
					if ($id == $row['id']) {
						
						// 詳細表示用のデータをテンプレートに設定
						$Tpl->add('csvDetail', $row);
						$print = 1;
						break; // ループを終了
					}
					
				} else {
					// 一覧用のループにデータを追加
					$Tpl->add('csvList:loop', $row);
					$print = 1;
				}
			}
		}
		
		// データが何も編集されなかった時にcsvNotFoundを表示
		if (!$print) {
			$Tpl->add('csvNotFound');
		}
		
		return $Tpl->get();
	}
}
